: Class PjConst

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj
Class PjConst

    java.lang.Object
      |
      +--com.etymon.pj.PjConst

public class PjConst
extends java.lang.Object

General constants used by the PJ classes.

Field Summary
`static PjString` | `COPYRIGHT_IN_INFO` The PJ copyright notice, which is inserted into the Producer (and sometimes Creator) field of the Info dictionary in all PDF files output by PJ; you may not remove this copyright notice.
`static java.lang.String` | `COPYRIGHT_IN_PDF` The PJ copyright notice, which is inserted into all PDF files output by PJ; you may not remove this copyright notice.
`static int` | `FLATE_BUFFER_SIZE` The size of the byte[] used for flate compression and decompression.
`static java.lang.String` | `PDF_EOL` The end-of-line sequence to use when writing a PDF file to disk.
`static int` | `PDF_EOL_LEN` The string length of PDF_EOL.
`static java.lang.String` | `PDF_VERSION` The PDF version output by this release of PJ.
`static int` | `SCAN_STARTXREF` The number of bytes from the end of a PDF file at which to start scanning for startxref.
`static int` | `SCAN_STARTXREF_RETRY` The number of times to back up and retry scanning for startxref.
`static java.lang.String` | `VERSION` The PJ version number.
`static java.lang.String` | `VERSION_IN_PDF` The PJ version number in PDF format, which is inserted into all PDF files output by PJ.

Constructor Summary
`PjConst()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

  The PJ version number.

### COPYRIGHT_IN_INFO

    public static final PjString COPYRIGHT_IN_INFO

  The PJ copyright notice, which is inserted into the Producer (and sometimes Creator) field of the Info dictionary in all PDF files output by PJ; you may not remove this copyright notice.

### VERSION_IN_PDF

    public static final java.lang.String VERSION_IN_PDF

  The PJ version number in PDF format, which is inserted into all PDF files output by PJ.

### COPYRIGHT_IN_PDF

    public static final java.lang.String COPYRIGHT_IN_PDF

  The PJ copyright notice, which is inserted into all PDF files output by PJ; you may not remove this copyright notice.

### PDF_VERSION

    public static final java.lang.String PDF_VERSION

  The PDF version output by this release of PJ.

### SCAN_STARTXREF

    public static final int SCAN_STARTXREF

  The number of bytes from the end of a PDF file at which to start scanning for startxref.

### SCAN_STARTXREF_RETRY

    public static final int SCAN_STARTXREF_RETRY

  The number of times to back up and retry scanning for startxref. Each time, the parser will back up to a point (SCAN_STARTXREF) bytes before the previous time.

### FLATE_BUFFER_SIZE

    public static final int FLATE_BUFFER_SIZE

  The size of the byte[] used for flate compression and decompression.

### PDF_EOL

    public static final java.lang.String PDF_EOL

  The end-of-line sequence to use when writing a PDF file to disk.

### PDF_EOL_LEN

    public static final int PDF_EOL_LEN

  The string length of PDF_EOL.

Constructor Detail

### PjConst

    public PjConst()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD